This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 38107 - desktopconv deletes files without creating a backup
desktopconv deletes files without creating a backup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-27 15:43 EDT by Gerald Teschl
Modified: 2007-03-26 23:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-04 03:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-04-27 15:43:20 EDT
Upon start up it will inform you about old kde 1.x
configuration files and recommends to remove them.
Which is fine, but what does it do!?

(1) It removes all 2.1 config file and all your configurations
are gone (in particular all my ppp settings were gone and
I had no backup, thanks a bunch for that!)
(2) Not only this, IT WILL EVEN REMOVE FILES WHICH ARE TOTALLY
UNRELATED TO KDE!!!!!!!!!!! In particular, it will remove ALL
files in ~/Desktop.

Why doesn't it AT LEAST MOVE THE FILES TO THE TRASH!!!
Comment 1 Bernhard Rosenkraenzer 2001-04-30 13:29:02 EDT
See the reply on testers-list for details - this happens only when updating 
from a non-clean 2.x install to the new packages.
Not very nice, but inevitable.

I'll move the files to the trash rather than killing them completely in the 
next version.
Comment 2 Bernhard Rosenkraenzer 2001-05-22 14:07:04 EDT
Fixed in 2.2-0.alpha2.2

Note You need to log in before you can comment on or make changes to this bug.